# CSL_CPSW_3GF_STATS Struct Reference
[CPSW_3GF Data Structures]

Holds the EMAC statistics. More...

`#include <csl_cpsw_3gf.h>`

## Data Fields
Uint32 | RxGoodFrames
Uint32 | RxBCastFrames
Uint32 | RxMCastFrames
Uint32 | RxPauseFrames
Uint32 | RxCRCErrors
Uint32 | RxAlignCodeErrors
Uint32 | RxOversized
Uint32 | RxJabber
Uint32 | RxUndersized
Uint32 | RxFragments
Uint32 | reserved
Uint32 | reserved2
Uint32 | RxOctets
Uint32 | TxGoodFrames
Uint32 | TxBCastFrames
Uint32 | TxMCastFrames
Uint32 | TxPauseFrames
Uint32 | TxDeferred
Uint32 | TxCollision
Uint32 | TxSingleColl
Uint32 | TxMultiColl
Uint32 | TxExcessiveColl
Uint32 | TxLateColl
Uint32 | TxUnderrun
Uint32 | TxCarrierSLoss
Uint32 | TxOctets
Uint32 | Frame64
Uint32 | Frame65t127
Uint32 | Frame128t255
Uint32 | Frame256t511
Uint32 | Frame512t1023
Uint32 | Frame1024tUp
Uint32 | NetOctets
Uint32 | RxSOFOverruns
Uint32 | RxMOFOverruns
Uint32 | RxDMAOverruns

## Detailed Description

Holds the EMAC statistics.

The statistics structure is the used to retrieve the current count of various packet events in the system. These values represent the delta values from the last time the statistics were read.

## Field Documentation

Uint32 CSL_CPSW_3GF_STATS::Frame1024tUp

Total Tx&Rx with Octet Size of >=1024

Uint32 CSL_CPSW_3GF_STATS::Frame128t255

Total Tx&Rx with Octet Size of 128 to 255

Uint32 CSL_CPSW_3GF_STATS::Frame256t511

Total Tx&Rx with Octet Size of 256 to 511

Uint32 CSL_CPSW_3GF_STATS::Frame512t1023

Total Tx&Rx with Octet Size of 512 to 1023

Uint32 CSL_CPSW_3GF_STATS::Frame64

Total Tx&Rx with Octet Size of 64

Uint32 CSL_CPSW_3GF_STATS::Frame65t127

Total Tx&Rx with Octet Size of 65 to 127

Uint32 CSL_CPSW_3GF_STATS::NetOctets

Sum of all Octets Tx or Rx on the Network

Uint32 CSL_CPSW_3GF_STATS::reserved

Reserved

Uint32 CSL_CPSW_3GF_STATS::reserved2

Reserved

Uint32 CSL_CPSW_3GF_STATS::RxAlignCodeErrors

Frames Received with Alignment/Code Errors

Uint32 CSL_CPSW_3GF_STATS::RxBCastFrames

Good Broadcast Frames Received

Uint32 CSL_CPSW_3GF_STATS::RxCRCErrors

Frames Received with CRC Errors

Uint32 CSL_CPSW_3GF_STATS::RxDMAOverruns

Total Rx DMA Overruns

Uint32 CSL_CPSW_3GF_STATS::RxFragments

Rx Frame Fragments Received

Uint32 CSL_CPSW_3GF_STATS::RxGoodFrames

Good Frames Received

Uint32 CSL_CPSW_3GF_STATS::RxJabber

Jabber Frames Received

Uint32 CSL_CPSW_3GF_STATS::RxMCastFrames

Good Multicast Frames Received

Uint32 CSL_CPSW_3GF_STATS::RxMOFOverruns

Total Rx Middle of Frame Overruns

Uint32 CSL_CPSW_3GF_STATS::RxOctets

Total Received Bytes in Good Frames

Uint32 CSL_CPSW_3GF_STATS::RxOversized

Oversized Frames Received

Uint32 CSL_CPSW_3GF_STATS::RxPauseFrames

PauseRx Frames Received

Uint32 CSL_CPSW_3GF_STATS::RxSOFOverruns

Total Rx Start of Frame Overruns

Uint32 CSL_CPSW_3GF_STATS::RxUndersized

Undersized Frames Received

Uint32 CSL_CPSW_3GF_STATS::TxBCastFrames

Good Broadcast Frames Sent

Uint32 CSL_CPSW_3GF_STATS::TxCarrierSLoss

Tx Frames Lost Due to Carrier Sense Loss

Uint32 CSL_CPSW_3GF_STATS::TxCollision

Total Frames Sent With Collision

Uint32 CSL_CPSW_3GF_STATS::TxDeferred

Frames Where Transmission was Deferred

Uint32 CSL_CPSW_3GF_STATS::TxExcessiveColl

Tx Frames Lost Due to Excessive Collisions

Uint32 CSL_CPSW_3GF_STATS::TxGoodFrames

Good Frames Sent

Uint32 CSL_CPSW_3GF_STATS::TxLateColl

Tx Frames Lost Due to a Late Collision

Uint32 CSL_CPSW_3GF_STATS::TxMCastFrames

Good Multicast Frames Sent

Uint32 CSL_CPSW_3GF_STATS::TxMultiColl

Frames Sent with Multiple Colisions

Uint32 CSL_CPSW_3GF_STATS::TxOctets

Total Transmitted Bytes in Good Frames

Uint32 CSL_CPSW_3GF_STATS::TxPauseFrames

PauseTx Frames Sent

Uint32 CSL_CPSW_3GF_STATS::TxSingleColl

Frames Sent with Exactly One Collision

Uint32 CSL_CPSW_3GF_STATS::TxUnderrun

Tx Frames Lost with Tx Underrun Error

The documentation for this struct was generated from the following file:

- csl_cpsw_3gf.h

Copyright 2012, Texas Instruments Incorporated